Bug 253371 - editors/libreoffice 7.1.0 font rendering problem
Summary: editors/libreoffice 7.1.0 font rendering problem
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-09 13:32 UTC by Tomoaki AOKI
Modified: 2021-02-17 15:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomoaki AOKI 2021-02-09 13:32:25 UTC
It would be a resurrected problem.

IIRC, The same problem appeared at r538642 (Introduced 6.4.4)
and once fixed by r541383 (Introduced 6.4.5, PR 247444 is listed but possibly more related changes would be done).

At least, Japanese characters in menus, dropdown font lists, tabs(calc)
are shown as square (we Japanese usually call it tofu) character.

Texts with at least some font is rendered with different font.
At least, fonts in japanese/font-ipa are affected, but would be more are affected.

I suspect deleted patches or dependencies are still needed, but test
builds needs too long time to determine.
Comment 1 Li-Wen Hsu freebsd_committer 2021-02-09 13:45:50 UTC
(In reply to Tomoaki AOKI from comment #0)
Thanks for the report. If this is due to the patches deleted during the upgrading, it means we really need to be more active to upstream our local patches.

Can you help check what are the patches in 6.4.5 but not in 7.1.0?
Does this also happen in 7.0.0?
Comment 2 Tomoaki AOKI 2021-02-09 14:09:30 UTC
(In reply to Li-Wen Hsu from comment #1)

After once fixed, until 7.0.4 (r562151) had been OK, and I've temporarily switched back there.

Commit mail on svn-ports-head ML [1], which resurrected this problem, shows 1 added, 12 deleted and 15 modified patches for editors/libreoffice.

[1] https://lists.freebsd.org/pipermail/svn-ports-head/2021-February/271548.html
Comment 3 Tomoaki AOKI 2021-02-14 14:26:22 UTC
I could take some time this weekend to dig into.

Coclusion:
  Resurrecting files/patch-vcl_qt5_Qt5Instance.cxx fixed the issue.
  Font selector, document file names, displayed fonts for Japanese texts
  looks normal.

Some details:
  Looking into Makefile and deleted/updated patches in files/,
  updated patches seems to follow lines moved on original files
  and vesion up of devel/mdds and devel/liborcus.
  So I considered it would NOT be problematic.

  All deleted vcl-related patches except the above caused patch error.
  So I tried only the above one re-added, build/install successful and
  the problem has gone away (not totally tested, though).

  At the time I filed this PR, I missed USE_GNOME change and
  re-added cairo on LIB_DEPENDS,
  applied patch2 (removing non-applcable patch-vcl_qt5_Qt5Frame.cxx portion) 
  supplied by PR 247444 into files/ without success.
  SVN rev of editors/libreoffice was at r564006.


As it's not extensively / heavily tested, there can be some more problems.
And I'm not sure this is really the correct fix.
Just thought cairo is not properly (or not at all) called by QT5 vcl.

Can anyone confirm the validity?
Comment 4 Tomoaki AOKI 2021-02-14 14:36:28 UTC
Forgot to mention. I'm currenlty at r565187 on /usr/ports.
So any changes between r564007 and r565187 (including to dependencies) can affect the result.
And any changes after r565188 can re-break this, too.
Comment 5 commit-hook freebsd_committer 2021-02-17 15:06:41 UTC
A commit references this bug:

Author: fluffy
Date: Wed Feb 17 15:06:13 UTC 2021
New revision: 565507
URL: https://svnweb.freebsd.org/changeset/ports/565507

Log:
  editors/libreoffice: resurrect deleted by mistake patch for qt5-cairo engine to fix CJK fonts rendering in menus and dialogs

  PR:		253371, 253579
  MFH:		2021Q1
  Pointy hat to:	fluffy

Changes:
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/files/patch-vcl_qt5_Qt5Instance.cxx
Comment 6 commit-hook freebsd_committer 2021-02-17 15:10:44 UTC
A commit references this bug:

Author: fluffy
Date: Wed Feb 17 15:10:11 UTC 2021
New revision: 565508
URL: https://svnweb.freebsd.org/changeset/ports/565508

Log:
  MFH: r565507

  editors/libreoffice: resurrect deleted by mistake patch for qt5-cairo engine to fix CJK fonts rendering in menus and dialogs

  PR:		253371, 253579
  Pointy hat to:	fluffy

Changes:
_U  branches/2021Q1/
  branches/2021Q1/editors/libreoffice/Makefile
  branches/2021Q1/editors/libreoffice/files/patch-vcl_qt5_Qt5Instance.cxx